> ## Documentation Index
> Fetch the complete documentation index at: https://docs.droxy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Chatbot By Id

> Get your chatbot by it's id.



## OpenAPI

````yaml /api-reference/v1.json get /v1/chatbot/{id}
openapi: 3.0.0
info:
  title: Droxy API
  description: ''
  version: '1.0'
  contact: {}
servers:
  - url: https://api.droxy.ai
security: []
tags: []
paths:
  /v1/chatbot/{id}:
    get:
      tags:
        - Chatbot
      summary: Get Chatbot By Id
      description: Get your chatbot by it's id.
      operationId: ApiSmartAssistantV1Controller_getSmartAssistantById
      parameters:
        - name: id
          required: true
          in: path
          description: The chatbot's id.
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiSmartAssistantDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponseDto'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponseDto'
        '404':
          description: Element not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponseDto'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponseDto'
      security:
        - x-api-key: []
components:
  schemas:
    ApiSmartAssistantDto:
      type: object
      properties:
        id:
          type: string
          description: The chatbot's id.
        name:
          type: string
          description: The chatbot's name.
        welcomeMessage:
          type: string
          description: >-
            The chatbot's welcome message. Displayed when the chatbot is first
            opened.
        createdAt:
          type: number
          description: The created date of the chatbot. Unix timestamp in milliseconds.
        creator:
          type: string
          description: The user id of the creator.
          deprecated: true
        organisation:
          type: string
          description: The organisation id of the chatbot.
        resources:
          description: An array of resource ids that the chatbot can use.
          type: array
          items:
            type: string
        chatbotMessageColor:
          type: string
          description: The HEX background color of the chatbot's messages.
        userMessageColor:
          type: string
          description: The HEX background color of the user's messages.
        conversationBackgroundColor:
          type: string
          description: >-
            The HEX color of the chatbot's background color behind the messages
            of the selected conversation.
        secondaryBackgroundColor:
          type: string
          description: The HEX color of the chatbot's secondary background color.
        gradientColors:
          description: >-
            The HEX colors of the chatbot's gradient color. Must be an array of
            4 colors.
          type: array
          items:
            type: string
        showBadge:
          type: boolean
          description: Whether or not the chatbot should show the badge.
        enabledEmoji:
          type: boolean
          description: Whether or not the chatbot should use emojis.
        customSystemPrompt:
          type: string
          description: >-
            The custom system prompt the chatbot uses. This defines the behavior
            of the chatbot.
        model:
          type: string
          description: >-
            The model the chatbot uses. Values can be 'gpt-4o-mini' |
            'gpt-5-mini' | 'gpt-realtime' | 'gpt-4o-mini-realtime-preview' |
            'claude-sonnet-4.6' | 'claude-haiku-4.5' | 'gemini-3-pro' |
            'gemini-3-flash'.
        restrictAnswersToResourcesContentResponse:
          type: string
          description: >-
            Answer the chatbot must return if information is not found in the
            resources. If not set, the chatbot will not be restricted to the
            knowledge from the resources.
        accessLevel:
          type: string
          description: >-
            The access level of the chatbot. Values can be 'PUBLIC' | 'PRIVATE'
            | 'PROTECTED'.
        tags:
          description: Tags assigned.
          type: array
          items:
            type: string
        websiteIntegration:
          description: >-
            The website integration configuration of the chatbot. Defined if the
            chatbot is set to be integrated on one or more websites.
          allOf:
            - $ref: '#/components/schemas/WebsiteIntegrationDto'
      required:
        - id
        - name
        - welcomeMessage
        - createdAt
        - creator
        - organisation
        - resources
        - chatbotMessageColor
        - userMessageColor
        - conversationBackgroundColor
        - secondaryBackgroundColor
        - gradientColors
        - showBadge
        - enabledEmoji
        - model
        - accessLevel
        - tags
    ApiErrorResponseDto:
      type: object
      properties:
        statusCode:
          type: number
          description: Error status code.
        message:
          description: Error message or an array of error messages.
          type: array
          items:
            type: string
        error:
          type: string
          description: Source of the error.
      required:
        - statusCode
        - message
        - error
    WebsiteIntegrationDto:
      type: object
      properties:
        allowedDomains:
          description: >-
            An array of domains that the chatbot is restricted to be embedded
            on.
          type: array
          items:
            type: string
        bubbleAlignment:
          type: string
          description: >-
            The alignment of the chatbot's bubble. Values can be 'left' or
            'right'. Defaults to 'right'.
        bubblePopupMessages:
          description: >-
            Popup messages that are displayed on top of the chatbot's bubble
            when not opened.
          type: array
          items:
            type: string
        welcomeHeaderTitle:
          type: string
          description: >-
            The welcome header title that is displayed when the chatbot's bubble
            is opened.
        welcomeHeaderSubtitle:
          type: string
          description: >-
            The welcome header subtitle that is displayed when the chatbot's
            bubble is opened.
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````